Subject: Re: grep -r : permission denied
From: "Gerrit P. Haase" <[email-masked]>
To: "Pierre Loic Herve" <[email-masked]>, "Cygwin" <[email-masked]>
Date: Mon, 17 Sep 2001 16:46:32 +0200

Pierre Loic Herve schrieb am 2001-08-09, 12:55:

>Hi all,
>
>I have installed cygwin 2 weeks ago...and it is just GREAT !!!
>I have rxvt with a background picture ant it is very SEXY !!
>
>... but i still have a little problem :
>
>i have :
>//c/pierre> whoami
>pierlo
>
>//c/pierre> ls -al
>total 8303
[...]
>drwxr-xr-x    3 pierlo   544             0 Aug  1 16:12 toto/
[...]
>//c/pierre> grep --recursive Texture *
[...]
>grep: toto: Permission denied
>grep: vim: Permission denied
>
>QUESTION why cant grep goto in directories ?

I have a little wrapper for recursive greps. Call it 'rgrep' and
save it to /bin. Now you should be able to call:

$ rgrep SaerchTerm

rgrep:
======
#!/usr/bin/sh
# grep $@ recursive
find . -type f -exec grep $@ {} /dev/null \;

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/